<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: Statistic Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_statistic-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Statistic Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="statistic_8h_source.html">statistic.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Statistic:</div>
<div class="dyncontent">
<div class="center"><img src="class_statistic__coll__graph.png" border="0" usemap="#a_statistic_coll__map" alt="Collaboration graph"/></div>
<map name="a_statistic_coll__map" id="a_statistic_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,112,288"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a00637756290a7a4c8444e7076c135466" id="r_a00637756290a7a4c8444e7076c135466"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a00637756290a7a4c8444e7076c135466">Statistic</a> ()</td></tr>
<tr class="separator:a00637756290a7a4c8444e7076c135466"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af3215840880bf32ac3826a26d2b281f6" id="r_af3215840880bf32ac3826a26d2b281f6"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af3215840880bf32ac3826a26d2b281f6">null_count</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:af3215840880bf32ac3826a26d2b281f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6dc9c84427d01ce71a4e2eeb6592ffd" id="r_ab6dc9c84427d01ce71a4e2eeb6592ffd"><td class="memItemLeft" align="right" valign="top">static std::map&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a>, double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab6dc9c84427d01ce71a4e2eeb6592ffd">value_counts</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:ab6dc9c84427d01ce71a4e2eeb6592ffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafafcb85855b4f7f0b999b26403e3366" id="r_aafafcb85855b4f7f0b999b26403e3366"><td class="memItemLeft" align="right" valign="top">static QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aafafcb85855b4f7f0b999b26403e3366">mode</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:aafafcb85855b4f7f0b999b26403e3366"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae89e26ba703b55289cc2eda99d7df574" id="r_ae89e26ba703b55289cc2eda99d7df574"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae89e26ba703b55289cc2eda99d7df574">mean</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:ae89e26ba703b55289cc2eda99d7df574"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a8244427b3f7411771298bc7a8f050" id="r_a88a8244427b3f7411771298bc7a8f050"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a88a8244427b3f7411771298bc7a8f050">sum</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:a88a8244427b3f7411771298bc7a8f050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d38e255940731deba4843653598af87" id="r_a8d38e255940731deba4843653598af87"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8d38e255940731deba4843653598af87">min</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:a8d38e255940731deba4843653598af87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c1bccd2196429f5fb82a2427f3cb9c3" id="r_a0c1bccd2196429f5fb82a2427f3cb9c3"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0c1bccd2196429f5fb82a2427f3cb9c3">max</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:a0c1bccd2196429f5fb82a2427f3cb9c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54d998538ef70087eac5e11d3ea8098c" id="r_a54d998538ef70087eac5e11d3ea8098c"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a54d998538ef70087eac5e11d3ea8098c">median</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:a54d998538ef70087eac5e11d3ea8098c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8b3a38fb12968f60626c5be064f7652" id="r_ab8b3a38fb12968f60626c5be064f7652"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab8b3a38fb12968f60626c5be064f7652">sd</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:ab8b3a38fb12968f60626c5be064f7652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af13af1605c12176a3175027e9a6ffccd" id="r_af13af1605c12176a3175027e9a6ffccd"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af13af1605c12176a3175027e9a6ffccd">variance</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:af13af1605c12176a3175027e9a6ffccd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a00637756290a7a4c8444e7076c135466" name="a00637756290a7a4c8444e7076c135466"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00637756290a7a4c8444e7076c135466">&#9670;&#160;</a></span>Statistic()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Statistic::Statistic </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0c1bccd2196429f5fb82a2427f3cb9c3" name="a0c1bccd2196429f5fb82a2427f3cb9c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c1bccd2196429f5fb82a2427f3cb9c3">&#9670;&#160;</a></span>max()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Statistic::max </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae89e26ba703b55289cc2eda99d7df574" name="ae89e26ba703b55289cc2eda99d7df574"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae89e26ba703b55289cc2eda99d7df574">&#9670;&#160;</a></span>mean()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Statistic::mean </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a54d998538ef70087eac5e11d3ea8098c" name="a54d998538ef70087eac5e11d3ea8098c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54d998538ef70087eac5e11d3ea8098c">&#9670;&#160;</a></span>median()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Statistic::median </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d38e255940731deba4843653598af87" name="a8d38e255940731deba4843653598af87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d38e255940731deba4843653598af87">&#9670;&#160;</a></span>min()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Statistic::min </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aafafcb85855b4f7f0b999b26403e3366" name="aafafcb85855b4f7f0b999b26403e3366"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafafcb85855b4f7f0b999b26403e3366">&#9670;&#160;</a></span>mode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Statistic::mode </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af3215840880bf32ac3826a26d2b281f6" name="af3215840880bf32ac3826a26d2b281f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3215840880bf32ac3826a26d2b281f6">&#9670;&#160;</a></span>null_count()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Statistic::null_count </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8b3a38fb12968f60626c5be064f7652" name="ab8b3a38fb12968f60626c5be064f7652"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8b3a38fb12968f60626c5be064f7652">&#9670;&#160;</a></span>sd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Statistic::sd </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a88a8244427b3f7411771298bc7a8f050" name="a88a8244427b3f7411771298bc7a8f050"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88a8244427b3f7411771298bc7a8f050">&#9670;&#160;</a></span>sum()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Statistic::sum </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6dc9c84427d01ce71a4e2eeb6592ffd" name="ab6dc9c84427d01ce71a4e2eeb6592ffd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6dc9c84427d01ce71a4e2eeb6592ffd">&#9670;&#160;</a></span>value_counts()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::map&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a>, double &gt; Statistic::value_counts </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af13af1605c12176a3175027e9a6ffccd" name="af13af1605c12176a3175027e9a6ffccd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af13af1605c12176a3175027e9a6ffccd">&#9670;&#160;</a></span>variance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Statistic::variance </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="statistic_8h_source.html">statistic.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="statistic_8cpp.html">statistic.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
